/**
*Media Center App
*/
var mediacenterApp = mediacenterApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
mediacenterApp.App = function () {
    this.id = 'mediacenterApp';
    this.name = 'Media Center';
    this.version = '6.0.7';
    this.active = false;
    this.menuIcon = '/apps/mediacenter/images/logo.png?v=6.0.7&';
    this.shortcutIcon = '/apps/mediacenter/images/logo.png?v=6.0.7&';
    this.entryUrl = '/apps/mediacenter/mediacenter_main.html?v=6.0.7&';
    var self = this;
    this.mediacenterAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Media Center')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'mediacenterAppWindow',
            title: UNAS._('Media Center'),
            icon: '/apps/mediacenter/images/logo_small.png?v=6.0.7&',
            width: 750,
            height: 480,
            maximizable: true,
            resizable: true,
            scrollbars: false,
            resizeLimit: {
                'x': [200, 2000],
                'y': [480, 1500]
            },
            loadMethod: 'xhr',
            contentURL: '/apps/mediacenter/mediacenter_main.html?v=6.0.7&',
            require: {
                css: ['/apps/mediacenter/css/mediacenter.css']
            },
            onBeforeBuild: function () {
                UNAS.SetAppOpenedWindow("Media Center", 'mediacenterAppWindow')
            }
        });
    };
    this.mediacenterAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Media Center');
        UNAS.RemoveMenu('Media Center');
        UNAS.RemoveAppFromGroups('Media Center', 'ControlPanel');
        //UNAS.RemoveAppFromGroups('Media Center', 'Help');
        UNAS.RemoveAppFromApps('Media Center');
    }
    new UNAS.Menu('UNAS_App_Multimedia_Menu', this.name, this.menuIcon, 'Media Center', '', this.mediacenterAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Media Center', this.mediacenterAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Multimedia', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Network', 'Location' : 0, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});

    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Media Center', UNAS._('Media Center')); //translate menu
        //UNAS.SetShortcutTitle('Media Center', UNAS._('Media Center')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('mediacenterAppWindow', UNAS._('Media Center'));
        }
    }
    UNAS.LoadTranslation('/apps/mediacenter/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.mediacenterAppWindow,this.mediacenterAppUninstall);
};
new mediacenterApp.App(); //Create app